commit:     81d18144fffba2c30751d23ac567b822ab36d591
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  5 11:23:26 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Mon Aug  5 11:23:26 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=81d18144

net-dns/bind-tools: Version bump (v9.14.4)

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 net-dns/bind-tools/Manifest                 |   1 +
 net-dns/bind-tools/bind-tools-9.14.4.ebuild | 131 ++++++++++++++++++++++++++++
 2 files changed, 132 insertions(+)

diff --git a/net-dns/bind-tools/Manifest b/net-dns/bind-tools/Manifest
index 0be7904c8ad..8d853f35818 100644
--- a/net-dns/bind-tools/Manifest
+++ b/net-dns/bind-tools/Manifest
@@ -1,2 +1,3 @@
 DIST bind-9.12.3_p4.tar.gz 8627833 BLAKE2B 
f7f8b88d8179f2df92b3105a49f30f7de5ccfe78a4a51f6bfa08e732968bf8e4c35f298c4209d8d05bea4d71b8669fd360d4c17193574eda471ba4d7ad742092
 SHA512 
42c41f47a0282dc08ee875fe098ce84b26384dba5efbaf99b557d34c4271e0d6aac70126f280a3ee157e8604cce16901c8cd51fab791dec82f4a3d00c054f363
+DIST bind-9.14.4.tar.gz 6295768 BLAKE2B 
c433344d2b431ebb2e9920a6d0af1dc6cf65df1e347c2a77882a7dd2ea165f9a91324edbd7171e6bab7487e13049e38d23a514323f1b4cc74a6ce1f5377f1589
 SHA512 
f5f4dc9b6a1d60838b59ce57ad37dc1e51fa26719aa203405a73850780f06bdc6ecea71c762efd464f946bdcce5a7c324de98caea36d2fe2781cce116fcd4932
 DIST bind-9.15.2.tar.gz 6303402 BLAKE2B 
c8a16a80c9f690adb61284b27a619b4dbe120eadad7b38138da099a1d5a1171443da6e1c717e876e2739ee4d543cb00665c07fac460a256b178bace96510f4a3
 SHA512 
df7499bc3eeabf39eebfe346efe15631929cd7287e12fc6b04baea90c332a02fc4b9a8d40f043e308ebd61a82baafb5cf9e69654511dc9a2dcb7415597d5a646

diff --git a/net-dns/bind-tools/bind-tools-9.14.4.ebuild 
b/net-dns/bind-tools/bind-tools-9.14.4.ebuild
new file mode 100644
index 00000000000..b6ed8a6015b
--- /dev/null
+++ b/net-dns/bind-tools/bind-tools-9.14.4.ebuild
@@ -0,0 +1,131 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic toolchain-funcs
+
+MY_PN=${PN//-tools}
+MY_PV=${PV/_p/-P}
+MY_PV=${MY_PV/_rc/rc}
+MY_P="${MY_PN}-${MY_PV}"
+
+DESCRIPTION="bind tools: dig, nslookup, host, nsupdate, dnssec-keygen"
+HOMEPAGE="http://www.isc.org/software/bind";
+SRC_URI="https://www.isc.org/downloads/file/${MY_P}/?version=tar-gz -> 
${MY_PN}-${PV}.tar.gz"
+
+LICENSE="Apache-2.0 BSD BSD-2 GPL-2 HPND ISC MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc gssapi idn ipv6 libedit libressl readline ssl xml"
+# no PKCS11 currently as it requires OpenSSL to be patched, also see bug 409687
+
+CDEPEND="
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:0= )
+       )
+       xml? ( dev-libs/libxml2 )
+       idn? ( net-dns/libidn2:= )
+       gssapi? ( virtual/krb5 )
+       libedit? ( dev-libs/libedit )
+       !libedit? (
+               readline? ( sys-libs/readline:0= )
+       )"
+DEPEND="${CDEPEND}
+       virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+       !<net-dns/bind-9.10.2"
+
+S="${WORKDIR}/${MY_P}"
+
+# bug 479092, requires networking
+RESTRICT="test"
+
+src_prepare() {
+       default
+
+       # Disable tests for now, bug 406399
+       sed -i '/^SUBDIRS/s:tests::' bin/Makefile.in lib/Makefile.in || die
+
+       # bug #220361
+       rm aclocal.m4 || die
+       rm -rf libtool.m4/ || die
+
+       eautoreconf
+}
+
+src_configure() {
+       local myeconfargs=(
+               --localstatedir="${EPREFIX}"/var
+               --without-python
+               --without-libjson
+               --without-zlib
+               --without-lmdb
+               $(use_with idn libidn2)
+               $(use_with ssl openssl "${EPREFIX}"/usr)
+               $(use_with xml libxml2)
+               $(use_with gssapi)
+               $(use_with readline)
+       )
+
+       # bug 607400
+       if use libedit ; then
+               myeconfargs+=( --with-readline=-ledit )
+       elif use readline ; then
+               myeconfargs+=( --with-readline=-lreadline )
+       else
+               myeconfargs+=( --without-readline )
+       fi
+
+       # bug 344029
+       append-cflags "-DDIG_SIGCHASE"
+
+       # localstatedir for nsupdate -l, bug 395785
+       tc-export BUILD_CC
+       econf "${myeconfargs[@]}"
+
+       # bug #151839
+       echo '#undef SO_BSDCOMPAT' >> config.h
+}
+
+src_compile() {
+       local AR=$(tc-getAR)
+
+       emake AR="${AR}" -C lib/
+       emake AR="${AR}" -C bin/delv/
+       emake AR="${AR}" -C bin/dig/
+       emake AR="${AR}" -C bin/nsupdate/
+       emake AR="${AR}" -C bin/dnssec/
+}
+
+src_install() {
+       dodoc README CHANGES
+
+       cd "${S}"/bin/delv || die
+       dobin delv
+       doman delv.1
+
+       cd "${S}"/bin/dig || die
+       dobin dig host nslookup
+       doman {dig,host,nslookup}.1
+
+       cd "${S}"/bin/nsupdate || die
+       dobin nsupdate
+       doman nsupdate.1
+       if use doc; then
+               docinto html
+               dodoc nsupdate.html
+       fi
+
+       cd "${S}"/bin/dnssec || die
+       for tool in dsfromkey importkey keyfromlabel keygen \
+               revoke settime signzone verify; do
+               dobin dnssec-"${tool}"
+               doman dnssec-"${tool}".8
+               if use doc; then
+                       docinto html
+                       dodoc dnssec-"${tool}".html
+               fi
+       done
+}

Reply via email to